Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.opengl
Enum QGL.FormatOption

    java.lang.Object
      java.lang.Enum<QGL.FormatOption>
          com.trolltech.qt.opengl.QGL.FormatOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGL.FormatOption>

Enclosing interface:
  QGL

    public static enum QGL.FormatOption

extends java.lang.Enum<QGL.FormatOption>
implements QtEnumerator

This enum specifies the format options.

See Also:
  `Buffers Example`

Enum Constant Summary
`AccumBuffer` Internal.
`AlphaChannel` Internal.
`ColorIndex` Internal.
`DepthBuffer` Internal.
`DirectRendering` Internal.
`DoubleBuffer` Internal.
`HasOverlay` Internal.
`IndirectRendering` Internal.
`NoAccumBuffer` Internal.
`NoAlphaChannel` Internal.
`NoDepthBuffer` Internal.
`NoOverlay` Internal.
`NoSampleBuffers` Internal.
`NoStencilBuffer` Internal.
`NoStereoBuffers` Internal.
`Rgba` Internal.
`SampleBuffers` Internal.
`SingleBuffer` Internal.
`StencilBuffer` Internal.
`StereoBuffers` Internal.

Method Summary
`static QGL.FormatOptions` | `createQFlags(QGL.FormatOption... values)`
`static QGL.FormatOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGL.FormatOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGL.FormatOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DoubleBuffer

    public static final QGL.FormatOption DoubleBuffer

  Internal.

### DepthBuffer

    public static final QGL.FormatOption DepthBuffer

  Internal.

### Rgba

    public static final QGL.FormatOption Rgba

  Internal.

### AlphaChannel

    public static final QGL.FormatOption AlphaChannel

  Internal.

### AccumBuffer

    public static final QGL.FormatOption AccumBuffer

  Internal.

### StencilBuffer

    public static final QGL.FormatOption StencilBuffer

  Internal.

### StereoBuffers

    public static final QGL.FormatOption StereoBuffers

  Internal.

### DirectRendering

    public static final QGL.FormatOption DirectRendering

  Internal.

### HasOverlay

    public static final QGL.FormatOption HasOverlay

  Internal.

### SampleBuffers

    public static final QGL.FormatOption SampleBuffers

  Internal.

### SingleBuffer

    public static final QGL.FormatOption SingleBuffer

  Internal.

### NoDepthBuffer

    public static final QGL.FormatOption NoDepthBuffer

  Internal.

### ColorIndex

    public static final QGL.FormatOption ColorIndex

  Internal.

### NoAlphaChannel

    public static final QGL.FormatOption NoAlphaChannel

  Internal.

### NoAccumBuffer

    public static final QGL.FormatOption NoAccumBuffer

  Internal.

### NoStencilBuffer

    public static final QGL.FormatOption NoStencilBuffer

  Internal.

### NoStereoBuffers

    public static final QGL.FormatOption NoStereoBuffers

  Internal.

### IndirectRendering

    public static final QGL.FormatOption IndirectRendering

  Internal.

### NoOverlay

    public static final QGL.FormatOption NoOverlay

  Internal.

### NoSampleBuffers

    public static final QGL.FormatOption NoSampleBuffers

  Internal.

Method Detail

### values

    public static final QGL.FormatOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGL.FormatOption c : QGL.FormatOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGL.FormatOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGL.FormatOptions createQFlags(QGL.FormatOption... values)

### resolve

    public static QGL.FormatOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD